%define language sk-SK
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Slovak
%define name mozilla-firefox-%{locale}
%define version 1.5.0.4
%define release %mkrel 1
%define firefox_version %version
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
# source of this package is really taken from
# http://www.mozilla.sk/l10n/firefox-1.0-skSK-langpack.v3.xpi
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary:	%{langname} interface for Firefox 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{xpidir}/%language.xpi
License:	GPL
Group:		Networking/WWW
Url:		http://www.mozilla.org/products/firefox/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mozilla-firefox = %firefox_version
Requires:	locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/

sed -i -e 's/maxVersion>1.5.0.1/maxVersion>1.5.0.*/g' %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/install.rdf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale}@firefox.mozilla.org

%changelog
* Mon Jun 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.4-1mdv2007.0
- Rebuild for 1.5.0.4

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-1mdk
- New release 1.5.0.2

* Tue Feb 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.1-2mdk
- Fix file permissions

* Mon Feb 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.1-1mdk
- Release 1.5.0.1
- Fix Buildrequires / requires / specfile

* Wed Jan 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-2mdk
- fix version
- use mkrel

* Wed Oct 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-1mdk
- New release 1.0.7

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- rebuild for Firefox 1.0.2

* Wed Mar 23 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.1-1mdk
- Make arch dependant

* Tue Mar 8 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0-3mdk
- rebuild for new firefox
- updated translation

* Tue Feb 22 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0-2mdk
- fix bug #6574

* Sat Jan 15 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0-1mdk
- initial mdk release based on other mozilla-firefox i18n packages..
